<script setup>
import { reactive, ref, onMounted, nextTick } from 'vue';
import { useI18n } from 'vue-i18n';
import VnInput from 'src/components/common/VnInput.vue';

import VnRow from 'components/ui/VnRow.vue';
import FormModelPopup from 'components/FormModelPopup.vue';

const { t } = useI18n();
const emit = defineEmits(['onDataSaved']);

const specieInputRef = ref(null);
const specieFormData = reactive({});

const onDataSaved = (formData, requestResponse) => {
    emit('onDataSaved', formData, requestResponse);
};

onMounted(async () => {
    await nextTick();
    specieInputRef.value.focus();
});
</script>

<template>
    <FormModelPopup
        url-create="species"
        model="itemSpecie"
        :title="t('New species')"
        :form-initial-data="specieFormData"
        @on-data-saved="onDataSaved"
    >
        <template #form-inputs="{ data }">
            <VnRow>
                <VnInput
                    ref="specieInputRef"
                    :label="t('Latin species name')"
                    v-model="data.name"
                    :required="true"
                />
            </VnRow>
        </template>
    </FormModelPopup>
</template>

<i18n>
es:
    New species: Nueva especie
    Latin species name: Nombre de la especie en latín
</i18n>
